Skip to main content
`Ctrl`+`K`

# scipy.special.eval_sh_chebyt

scipy.special.eval_sh_chebyt(n, x, out=None) = <ufunc 'eval_sh_chebyt'>

  Evaluate shifted Chebyshev polynomial of the first kind at a point.

  These polynomials are defined as

  \[T_n^*(x) = T_n(2x - 1)\]

  where \(T_n\) is a Chebyshev polynomial of the first kind. See 22.5.14 in [AS] for details.

  Parameters:
    n array_like

      Degree of the polynomial. If not an integer, the result is determined via the relation to `eval_chebyt`.

    x array_like

      Points at which to evaluate the shifted Chebyshev polynomial

    out ndarray, optional

      Optional output array for the function values

  Returns:
    T scalar or ndarray

      Values of the shifted Chebyshev polynomial

  See also

  `roots_sh_chebyt`

    roots and quadrature weights of shifted Chebyshev polynomials of the first kind

  `sh_chebyt`

    shifted Chebyshev polynomial object

  `eval_chebyt`

    evaluate Chebyshev polynomials of the first kind

  `numpy.polynomial.chebyshev.Chebyshev`

    Chebyshev series

  References

  [AS]

  Milton Abramowitz and Irene A. Stegun, eds. Handbook of Mathematical Functions with Formulas, Graphs, and Mathematical Tables. New York: Dover, 1972.